/*
 *  Copyright 2015 Brno University of Technology 
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License. 
 */
package cz.vutbr.feec.graph;

import java.util.Collection;
import java.util.HashSet;
import org.apache.log4j.Logger;



public class Graph {
	private HashSet<Router> vertexes = new HashSet<Router>();
	

	public void add(Router first, Router second, int cost) {

		Router u1 = first;
		Router u2 = second;

		u1.addNeighbor(u2, cost);
		u2.addNeighbor(u1, cost);
		if (!vertexes.contains(first)) {
			vertexes.add(first);
		}
		if (!vertexes.contains(second)) {
			vertexes.add(second);
		}
	}
	
	

	public Collection<Router> getRouters() {
		return vertexes;

	}
}
